"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.compile = exports.toBinCode = exports.toHexCode = void 0;
const labels_1 = require("./labels");
const tokenizer_1 = require("./tokenizer");
function toHexCode(code) {
    return (0, labels_1.labelize)((0, tokenizer_1.tokenize)(code));
}
exports.toHexCode = toHexCode;
function toBinCode(hex) {
    return hex.map(x => x.hex.substr(2)).join("");
}
exports.toBinCode = toBinCode;
function compile(code) {
    return toBinCode(toHexCode(code));
}
exports.compile = compile;
