"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const compiler_1 = require("./compiler");
const tokenizer_1 = require("./tokenizer");
const test_helper_1 = require("./test-helper");
test("labelRef", () => {
    const actual = (0, compiler_1.toHexCode)(`
dup1
label_0
dup1
label_0:
dup1
dup1
    `);
    const expected = [
        (0, test_helper_1.op)("dup1"),
        ...(0, tokenizer_1.pushConstant)("0x04"),
        (0, test_helper_1.op)("dup1"),
        (0, test_helper_1.op)("jumpdest"),
        (0, test_helper_1.op)("dup1"),
        (0, test_helper_1.op)("dup1"),
    ];
    expect(actual).toEqual(expected);
});
test("labelSize", () => {
    const actual = (0, compiler_1.toHexCode)(`
dup1
dataSize(label_0)
dup2
label_0: assembly {
    dup3
    label_1:
    dup4
    label_1
}
dup5
    `);
    const expected = [
        (0, test_helper_1.op)("dup1"),
        ...(0, tokenizer_1.pushConstant)("0x05"),
        (0, test_helper_1.op)("dup2"),
        (0, test_helper_1.op)("dup3"),
        (0, test_helper_1.op)("jumpdest"),
        (0, test_helper_1.op)("dup4"),
        ...(0, tokenizer_1.pushConstant)("0x01"),
        (0, test_helper_1.op)("dup5"),
    ];
    expect(actual).toEqual(expected);
});
