import type { opCodes } from "./opcodes";
export declare type OpCodeName = keyof typeof opCodes;
export interface OpCode {
    type: "op";
    name: OpCodeName;
    hex: string;
    size: number;
}
export interface Constant {
    type: "const";
    hex: string;
    size: number;
}
export declare type HexToken = OpCode | Constant;
export interface LabelBegin {
    type: "labelBegin";
    name: string;
}
export interface LabelEnd {
    type: "labelEnd";
}
export declare type LabelDef = LabelBegin | LabelEnd;
export declare type LabelOpName = "dataSize" | "dataOffset";
export interface LabelOp {
    type: "labelOp";
    op: LabelOpName;
    label: string;
}
export declare type Token = HexToken | LabelDef | LabelOp;
